#ifndef KartenLeser_H
#define KartenLeser_H

#include <Klient.h>
#include <Bild.h>
#include <Schrift.h>

using namespace Framework;

class KartenLeser
{
private:
	Text *letzterFehler;
	int karteId;
	int ref;

public:
	// Konstruktor
	KartenLeser();
	// Destruktor
	~KartenLeser();
	// nicht constant
	void setKarteId( int karteId );
	// constant
	Bild *getKartenTitelBild( Schrift *zSchrift ) const;
	Bild *getKartenVorschauBild() const;
	Bild *getLadeBild() const;
	bool getKartenBeschreibung() const;
	int getSpielId() const;
	int getKarteId() const;
	Text *getSpielName() const;
	Text *getSpielPfad() const;
	Text *getKarteName() const;
	Text *getKartePfad() const;
	char *getLetzterFehler() const;
	// Reference Counting
	KartenLeser *getThis();
	KartenLeser *release();
};

#endif